---
# defaults file for zabbix-agent
zabbix_agent_version: "4.4.10"
zabbix_agent_version_patch: 0
zabbix_agent_repo: zabbix
zabbix_agent_package: zabbix-agent
zabbix_agent_sender_package: zabbix-sender
zabbix_agent_get_package: zabbix-get
zabbix_agent_package_state: present
zabbix_selinux: false
zabbix_agent_repo_baseurl: https://repo.zabbix.com

# Zabbix role related vars
zabbix_agent_install_pip_packages_localhost: false
zabbix_agent_install_pip_packages_agent: true

# Port Security
zabbix_agent_security:
  security_ports:
    - { port: 10050, protocol: 'tcp'}

# Zabbix API stuff
zabbix_api_user: Admin
zabbix_api_pass: zabbix
zabbix_agent_api_create_hostgroup: true
zabbix_agent_api_create_hosts: true
zabbix_agent_create_hostgroup: present  # or absent
zabbix_agent_create_host: present  # or absent
zabbix_agent_update_host: yes
zabbix_agent_host_status: enabled  # or disabled
zabbix_agent_proxy: null
zabbix_agent_inventory_mode: disabled
zabbix_agent_useuip: 1
zabbix_agent_host_groups:
  - Linux servers
zabbix_agent_link_templates:
  - Template OS Linux by Zabbix agent

zabbix_agent_interfaces:
  - type: 1
    main: 1
    useip: "{{ zabbix_agent_useuip }}"
    ip: "{{ zabbix_agent_ip }}"
    dns: "{{ ansible_fqdn }}"
    port: "{{ zabbix_agent_listenport }}"

zabbix_agent_firewall_enable: False
zabbix_agent_firewalld_enable: True
zabbix_agent_firewalld_source: "{{ lookup('dig', zabbix_agent_server) }}"
# Zabbix configuration variables
zabbix_agent_pidfile: /var/run/zabbix/zabbix_agentd.pid
zabbix_agent_logfile: /var/log/zabbix/zabbix_agentd.log
zabbix_agent_logfilesize: 100
zabbix_agent_debuglevel: 3
zabbix_agent_sourceip:
zabbix_agent_enableremotecommands: 0
zabbix_agent_logremotecommands: 0
zabbix_agent_listenport: 10050
zabbix_agent_jmx_listenport:
zabbix_agent_listeninterface:
zabbix_agent_listenip:
zabbix_agent_startagents: 3
zabbix_agent_hostname: "{{ inventory_hostname }}"
zabbix_agent_hostnameitem:
zabbix_agent_hostmetadata:
zabbix_agent_hostmetadataitem:
zabbix_agent_refreshactivechecks: 120
zabbix_agent_buffersend: 5
zabbix_agent_buffersize: 100
zabbix_agent_maxlinespersecond: 100
zabbix_agent_allowroot: 0
zabbix_agent_zabbix_alias:
zabbix_agent_timeout: 3
zabbix_agent_include: /etc/zabbix/zabbix_agentd.d
zabbix_agent_unsafeuserparameters: 0
zabbix_agent_userparameter:
zabbix_agent_userparameters: []
zabbix_agent_custom_scripts: false
zabbix_agent_loadmodulepath: ${libdir}/modules
zabbix_agent_loadmodule:
zabbix_agent_become_on_localhost: True

# TLS settings
zabbix_agent_tlsconnect:
zabbix_agent_tlsaccept:
zabbix_agent_tlscafile:
zabbix_agent_tlscrlfile:
zabbix_agent_tlsservercertissuer:
zabbix_agent_tlsservercertsubject:
zabbix_agent_tlscertfile:
zabbix_agent_tlskeyfile:
zabbix_agent_tlspskidentity:

# zabbix_agent_validate_certs: False

zabbix_agent_tls_config:
  unencrypted: '1'
  psk: '2'
  cert: '4'

# Windows Related
zabbix_agent_version_long: 4.2.0
zabbix_agent_win_package: zabbix_agents_{{ zabbix_version_long }}.win.zip
zabbix_agent_win_download_url: https://www.zabbix.com/downloads
zabbix_agent_win_download_link: "{{ zabbix_win_download_url }}/{{ zabbix_version_long }}/{{ zabbix_win_package }}"
zabbix_agent_win_install_dir: 'C:\Zabbix'
zabbix_agent_win_logfile: 'C:\Zabbix\zabbix_agentd.log'
zabbix_agent_win_include: 'C:\Zabbix\zabbix_agent.d\'
zabbix_agent_win_svc_recovery: True
